ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefan Bodewig <bode...@apache.org>
Subject Re: conditions in antlib?
Date Fri, 12 Nov 2010 14:25:33 GMT
On 2010-11-12, Stefan Bodewig wrote:

> On 2010-11-12, wolfgang haefelinger wrote:

>> I want to provide a *single antlib* with the following requirements:
>> (a) must work with Ant 1.7.x and newer
>> (b) uses <componentdef />  appearing to be a 1.8.x feature.

> I'm sorry but I don't know of any way to do that.

Well, maybe I do.

* write a task extending Typedef - this will be allowed to be used
  inside antlib descriptors

* make the task detect whether it is working on Ant 1.8.x or 1.7.x and
  the act like componentdef or typedef accordingly

* bundle the task with your antlib

* taskdef the task as very first task in your antlib descriptor

* use it to define the rest

In fact the task wouldn't even need to extend Typedef as long as it
extends AntlibDefinition.

Stefan

---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
For additional commands, e-mail: user-help@ant.apache.org


Mime
View raw message